# Retry a DLQ message

> Retry delivery of a message from the DLQ

## Endpoint

`POST https://qstash-{region}.upstash.io/v2/dlq/retry/{dlqId}`

## Parameters

- `dlqId` (path, string, required): The DLQ ID of the message you want to retry.


## Responses

### 201 - Message retry initiated successfully

- `messageId` (string): Unique identifier for the published message or the old message ID if deduplicated
- `deduplicated` (boolean): Whether this message is a duplicate and was not sent to the destination.

### 404 - If the message is not found in the DLQ, (either is has been removed by you, or automatically), the endpoint returns a 404 status code.


- `error` (string, required): Error message

## cURL

```bash
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/dlq/retry/{dlqId} \
  --header 'Authorization: Bearer <token>'
```
